FMT(1)

NAME
fmt - adjust line-length for paragraphs of text

SYNOPSIS
fmt [-w width | -width] [-s] [-c] [-i chars] [-C] [-M] [file]...

VERSION
This page describes the Elvis 2.2_0_0 version of fmt. See elvis(1).

DESCRIPTION
fmt is a simple text formatter. It inserts or deletes newlines, as necessary, to make all lines in a paragraph be approximately the same width. It preserves indentation and word spacing.

If you don't name any files on the command line, then fmt will read from stdin.

It is typically used from within vi(1) or elvis(1) to adjust the line breaks in a single paragraph. To do this, move the cursor to the top of the paragraph, type "!}fmt", and hit <Return>.

OPTIONS

-w width or -width
    Use a line width of width characters instead of the default of 72 characters.

-s  Don't join lines shorter than the line width to fill paragraphs.

-c  Try to be smarter about crown margins. Specifically, this tells fmt to expect the first line of each paragraph to have a different indentation than subsequent lines. If text from the first input line is wrapped onto the second output line, then fmt will scan ahead to figure out what indentation it should use for the second output line, instead of reusing the first line's indentation.

-i chars
    Allow the indentation text to include any character from chars, in addition to spaces and tabs. You should quote the chars list to protect it from the shell.

-C and -M
    These are shortcuts for combinations of other flags. is short for and is useful for reformatting C/C++ comments. is short for and is useful for reformatting email messages.

SEE ALSO
vi(1), elvis(1)

AUTHOR
Steve Kirkendall
kirkenda@cs.pdx.edu